//
//  MyPhoto.h
//  three20_example
//
//  Created by shvns shvns on 8/18/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Three20/Three20.h"

@interface MyPhoto : NSObject<TTPhoto>
{
    
}

#pragma mark - TTPhotoSource Protocol- 

/**
 * The photo source that the photo belongs to.
 */
@property (nonatomic, assign) id<TTPhotoSource> photoSource;

/**
 * The size of the photo.
 */
@property (nonatomic) CGSize size;

/**
 * The index of the photo within its photo source.
 */
@property (nonatomic) NSInteger index;

/**
 * The caption of the photo.
 */
@property (nonatomic, copy) NSString* caption;

/**
 * Gets the URL of one of the differently sized versions of the photo.
 */
- (NSString*)URLForVersion:(TTPhotoVersion)version;

#pragma mark - TTURLObject Protocol- 

/**
 * Converts the object to a URL using TTURLMap.
 */
@property (nonatomic, readonly) NSString* URLValue;

/**
 * Converts the object to a specially-named URL using TTURLMap.
 */
- (NSString*)URLValueWithName:(NSString*)name;

@end
