//
//  Created by Peter Liu(yeahmanren@163.com).
//  Copyright 2011 www.yeahren.com All rights reserved.
//

#import <Foundation/Foundation.h>
#import "three20/Three20.h"

@interface yTTPhotoBase : NSObject<TTPhoto>
{
@private
    id<TTPhotoSource>   _photoSource;
    CGSize              _size;
    NSInteger           _index;
    NSString            *_caption;
    NSString            *_URL;
    NSArray             *_otherURLs;
}

- (id)initWithURL:(NSString *)url otherURLs:(NSArray *)urls size:(CGSize)size;
- (id)initWithURL:(NSString *)url otherURLs:(NSArray *)urls size:(CGSize)size caption:(NSString *)caption;

@property (nonatomic, assign) id<TTPhotoSource> photoSource;
@property (nonatomic) CGSize size;
@property (nonatomic) NSInteger index;
@property (nonatomic, copy) NSString* caption;
@property (nonatomic, readonly) NSString* URLValue;

- (NSString*)URLForVersion:(TTPhotoVersion)version;
- (NSString*)URLValueWithName:(NSString*)name;

@end
