//
//  Created by Peter Liu(yeahmanren@163.com).
//  Copyright 2011 www.yeahren.com All rights reserved.
//

#import "yTTPhotoBase.h"

@implementation yTTPhotoBase

@synthesize photoSource = _photoSource;
@synthesize size = _size;
@synthesize index = _index;
@synthesize caption = _caption;
@synthesize URLValue = _url;

- (id)initWithURL:(NSString *)url otherURLs:(NSArray *)urls size:(CGSize)size
{
    return [self initWithURL:url otherURLs:urls size:size caption:nil];
}

- (id)initWithURL:(NSString *)url otherURLs:(NSArray *)urls size:(CGSize)size caption:(NSString *)caption
{
    if((self = [super init]) != nil)
    {
        _size = size;
        _otherURLs = [urls retain];
        _url = [url copy];
        _caption = [caption copy];
        _photoSource = nil;
        _index = NSIntegerMax;
    }
    
    return self;
}

- (void)dealloc
{
    TT_RELEASE_SAFELY(_caption);
    TT_RELEASE_SAFELY(_URL);
    TT_RELEASE_SAFELY(_otherURLs);
    
    [super dealloc];
}

- (NSString*)URLForVersion:(TTPhotoVersion)version
{
    return [_otherURLs objectAtIndex:version];
}

- (NSString*)URLValueWithName:(NSString*)name
{
    return nil;
}

@end
