//
//  yTTPhotoSource.m
//  three20_example
//
//  Created by shvns shvns on 8/19/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "yTTPhotoSource.h"

@implementation yTTPhotoSource

@synthesize title = _title;
@synthesize numberOfPhotos;
@synthesize maxPhotoIndex;

- (id)initWithPhoto:(NSArray *)photos title:(NSString *)title
{
    if((self = [super init]) != nil)
    {
        _photos = (photos != nil) ? [photos mutableCopy] : [[NSMutableArray alloc] init];
        
        int index = 0;
        for(id<TTPhoto> item in _photos)
        {
            item.photoSource = self;
            item.index = index++;
        }
    }
    
    return self;
}

- (void)dealloc
{
    [_photos release];
    [_title release];
    
    [super dealloc];
}

- (BOOL)isLoading 
{
    return true;
}

- (BOOL)isLoaded 
{
    return true;
}

- (NSInteger)numberOfPhotos
{
    return [_photos count];
}

- (NSInteger)maxPhotoIndex
{
    return [_photos count] - 1;
}

- (id<TTPhoto>)photoAtIndex:(NSInteger)index;
{
   
    if(index >= [_photos count])
        return nil;
    
    return [_photos objectAtIndex:index];
}

@end
